package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.Clinical;
import com.lantone.qc.pub.model.label.ChiefLabel;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * @ClassName : BEH0009
 * @Description :主诉中缺少主症状
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class BEH0009 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {

        ChiefLabel chiefLabel = inputInfo.getBeHospitalizedDoc().getChiefLabel();
        List<Clinical> clinicals = chiefLabel.getClinicals();
        if(clinicals.size()>0){
            status = "0";
        }

    }
}