package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.Clinical;
import com.lantone.qc.pub.model.entity.PD;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;


/**
 * @ClassName : BEH0017
 * @Description :  现病史症状缺少时间描述
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class BEH0017 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status = "0";
        List<String> clinicals_timestamp = new ArrayList<>();
        List<Clinical> clinicals = inputInfo.getBeHospitalizedDoc().getPresentLabel().getClinicals();
        if(clinicals.size()>0){
            for (Clinical clinical:clinicals) {
                List<PD> timestamp = clinical.getTimestamp();
                if(timestamp == null){
                    clinicals_timestamp.add(clinical.getName());
                }
            }
        }
        if(clinicals_timestamp.size()>0){
            status = "-1";
            info= clinicals_timestamp.toString().replace("[","").replace("]","");
        }

    }
}