package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.KernelConstants;
import com.lantone.qc.kernel.util.RedisUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.Clinical;
import com.lantone.qc.pub.model.entity.Modification;
import com.lantone.qc.pub.model.entity.PD;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;


/**
 * @ClassName : BEH0019
 * @Description :  现病史症状缺少程度
 * crf模型中只标注到修饰的程度，需要用词库去配出哪些是程度。
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class BEH0019 extends QCCatalogue {
    @Autowired
    private RedisUtil redisUtil;
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        List<String> propList = (List<String>)redisUtil.get(KernelConstants.CONCEPT_DEGREE_LIST);
        List<String> propertyClis = new ArrayList<>();
        List<Clinical> clinicals = inputInfo.getBeHospitalizedDoc().getPresentLabel().getClinicals();
        if(clinicals.size()>0){
            for (Clinical clinical:clinicals) {
                Modification modification = clinical.getModification();
                if(modification == null){
                    propertyClis.add(clinical.getName());
                }else {
                    String name = modification.getName();
                    if(!propList.contains(name)){
                        propertyClis.add(clinical.getName());
                    }
                }
            }
        }
        if(propertyClis.size()>0){
            info = propertyClis.toString().replace("[","").replace("]","");
        }
    }
}