package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.Menses;
import com.lantone.qc.pub.model.label.MenstrualLabel;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @ClassName : BEH0060
 * @Description : 月经史未描述初潮年龄
 * @Author : 胡敬
 * @Date: 2020-03-11 10:19
 */
@Component
public class BEH0060 extends QCCatalogue {
    @Override
    protected void start(InputInfo inputInfo, OutputInfo outputInfo) {
        if (inputInfo.getBeHospitalizedDoc() != null && inputInfo.getBeHospitalizedDoc().getMenstrualLabel() != null) {
            MenstrualLabel menstrualLabel = inputInfo.getBeHospitalizedDoc().getMenstrualLabel();
            List<Menses> mensesList = menstrualLabel.getMensesList();
            for (Menses menses : mensesList) {
                if (menses.getMenarcheAge() == null || StringUtil.isBlank(menses.getMenarcheAge().getName())) {
                    status = "0";
                    break;
                }
            }
        }
    }
}