package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.Menses;
import com.lantone.qc.pub.model.label.MenstrualLabel;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @ClassName : BEH0063
 * @Description : 月经史未描述末次月经时间/闭经日期/绝经年龄
 * @Author : 胡敬
 * @Date: 2020-03-11 14:26
 */
@Component
public class BEH0063 extends QCCatalogue {
    @Override
    protected void start(InputInfo inputInfo, OutputInfo outputInfo) {
        if (inputInfo.getBeHospitalizedDoc() != null && inputInfo.getBeHospitalizedDoc().getMenstrualLabel() != null) {
            MenstrualLabel menstrualLabel = inputInfo.getBeHospitalizedDoc().getMenstrualLabel();
            List<Menses> mensesList = menstrualLabel.getMensesList();
            for (Menses menses : mensesList) {
                if (menses.getLastMenstrual() == null || StringUtil.isBlank(menses.getLastMenstrual().getName()) //末次月经时间
                        || menses.getMenopauseTime() == null || StringUtil.isBlank(menses.getMenopauseTime().getName()) //闭经日期
                        || menses.getMenopauseAge() == null || StringUtil.isBlank(menses.getMenopauseAge().getName()) //绝经年龄
                ) {
                    status = "0";
                    break;
                }
            }
        }
    }
}