package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.Clinical;
import com.lantone.qc.pub.model.entity.Menses;
import com.lantone.qc.pub.model.label.MenstrualLabel;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @ClassName : BEH0065
 * @Description : 月经史未描述月经颜色
 * @Author : 胡敬
 * @Date: 2020-03-11 14:47
 */
@Component
public class BEH0065 extends QCCatalogue {
    @Override
    protected void start(InputInfo inputInfo, OutputInfo outputInfo) {
        if (inputInfo.getBeHospitalizedDoc() != null && inputInfo.getBeHospitalizedDoc().getMenstrualLabel() != null) {
            MenstrualLabel menstrualLabel = inputInfo.getBeHospitalizedDoc().getMenstrualLabel();
            List<Menses> mensesList = menstrualLabel.getMensesList();
            boolean mensesFlag = false;
            for (Menses menses : mensesList) {
                if (menses.getClinicals() == null) {
                    continue;
                }
                List<Clinical> clinicals = menses.getClinicals();
                for (Clinical clinical : clinicals) {
                    if (clinical.getName().contains("颜色")) {
                        mensesFlag = true;
                        break;
                    }
                }
            }
            if (!mensesFlag) {
                status = "0";
            }
        }
    }
}